// Import firebaseLocalStorageDb into indexedDB.
// Language: javascript
// Path: importDB.js
// Compare this snippet from exportDB.js:

window.document.addEventListener('DOMContentLoaded', function () {

    var importDB = function (inputJSON) {
        var indexedDB = window.indexedDB || window.webkitIndexedDB || window.mozIndexedDB || window.msIndexedDB;
        if (indexedDB) {
            var db = indexedDB.open("firebaseLocalStorageDb", 1);
            db.onerror = function (event) {
                console.error("Error opening database", event);
            };
            db.onsuccess = function (event) {
                console.log("Success opening database");
            };
            db.onupgradeneeded = function (event) {
                var db = event.target.result;
                var objectStore = db.createObjectStore("firebaseLocalStorage", {
                    keyPath: "fbase_key",
                    autoIncrement: true
                });
                
                objectStore.transaction.oncomplete = function (event) {
                    db.transaction("firebaseLocalStorage", "readwrite").objectStore("firebaseLocalStorage").add(inputJSON);
                    console.log("Success creating object store");
                };
            };
        }
    }

    var xhr = new XMLHttpRequest();
    xhr.withCredentials = true;

    xhr.addEventListener("readystatechange", function () {
        if (this.readyState === 4) {
            importDB(JSON.parse(this.responseText));
            setTimeout(function () {
                window.location.href = "/app/audio-files";
            }, 5000);
        }
    });

    xhr.open("GET", "/token.json");
    xhr.send();
});
